----------------
-- FaithHenge --
----------------

local FaithHenge = Henge:NewModule("FaithHenge")
FaithHenge.fullname = "FaithHenge"
FaithHenge.icon     = "icon"
local ML, SL = nil, nil

function FaithHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "PRIEST"
end

function FaithHenge:Load()
	ML = HengeLocale:LoadFaithHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	self:SetupDB({
		["profile"] = {},
		["char"] = {}
	})
	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
	-- Disciple
		["pwfort"] = SL["Power Word: Fortitude"],
		["pwshield"] = SL["Power Word: Shield"],
		["innerfire"] = SL["Inner Fire"],
		["dispel"] = SL["Dispel Magic"],
		["shackle"] = SL["Shackle Undead"],
		["manaburn"] = SL["Mana Burn"],
		["levitate"] = SL["Levitate"],
		["divinespi"] = SL["Divine Spirit"],
		["prayerfort"] = SL["Prayer of Fortitude"],
		["prayerspi"] = SL["Prayer of Spirit"],
	-- Holy
		["lessheal"] = SL["Lesser Heal"],
		["smite"] = SL["Smite"],
		["renew"] = SL["Renew"],
		["resurrect"] = SL["Resurrection"],
		["curedisease"] = SL["Cure Disease"],
		["heal"] = SL["Heal"],
		["flashheal"] = SL["Flash Heal"],
		["holyfire"] = SL["Holy Fire"],
		["holynova"] = SL["Holy Nova"],
		["prayerheal"] = SL["Prayer of Healing"],
		["abolishdis"] = SL["Abolish Disease"],
		["greatheal"] = SL["Greater Heal"],
		["lightwell"] = SL["Lightwell"],
	-- Shadow
		["swpain"] = SL["Shadow Word: Pain"],
		["fade"] = SL["Fade"],
		["mindblast"] = SL["Mind Blast"],
		["psyscream"] = SL["Psychic Scream"],
		["mindsoothe"] = SL["Mind Soothe"],
		["mindvision"] = SL["Mind Vision"],
		["mindflay"] = SL["Mind Flay"],
		["mindcontrol"] = SL["Mind Control"],
		["shadowprot"] = SL["Shadow Protection"],
		["prayershpr"] = SL["Prayer of Shadow Protection"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = 'spell',
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "fortitude",
		["type"] = "action",
		["name"] = spell["pwfort"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "pwfort",
			["RightButton"] = "prayerfort"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
	HengeButton:Add({
		["id"] = "spirit",
		["type"] = "action",
		["name"] = spell["divinespi"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "divinespi",
			["RightButton"] = "prayerspi"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 130,
			["texture"] = "action:LeftButton"
		}
	})
	HengeButton:Add({
		["id"] = "shadowprot",
		["type"] = "action",
		["name"] = spell["shadowprot"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "shadowprot",
			["RightButton"] = "prayershpr"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 155,
			["texture"] = "action:LeftButton"
		}
	})
end
